Package org.apache.calcite.avatica.proto

## Interface Common.MetaDataOperationArgumentOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Common.MetaDataOperationArgument`, `Common.MetaDataOperationArgument.Builder`

Enclosing class:
  Common

    public static interface Common.MetaDataOperationArgumentOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getBoolValue()` `bool bool_value = 2;`
`int` `getIntArrayValues​(int index)` `repeated sint32 int_array_values = 5;`
`int` `getIntArrayValuesCount()` `repeated sint32 int_array_values = 5;`
`java.util.List<java.lang.Integer>` `getIntArrayValuesList()` `repeated sint32 int_array_values = 5;`
`int` `getIntValue()` `sint32 int_value = 3;`
`java.lang.String` `getStringArrayValues​(int index)` `repeated string string_array_values = 4;`
`com.google.protobuf.ByteString` `getStringArrayValuesBytes​(int index)` `repeated string string_array_values = 4;`
`int` `getStringArrayValuesCount()` `repeated string string_array_values = 4;`
`java.util.List<java.lang.String>` `getStringArrayValuesList()` `repeated string string_array_values = 4;`
`java.lang.String` `getStringValue()` `string string_value = 1;`
`com.google.protobuf.ByteString` `getStringValueBytes()` `string string_value = 1;`
`Common.MetaDataOperationArgument.ArgumentType` `getType()` `.MetaDataOperationArgument.ArgumentType type = 6;`
`int` `getTypeValue()` `.MetaDataOperationArgument.ArgumentType type = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStringValue

    java.lang.String getStringValue()

`string string_value = 1;`

#### getStringValueBytes

    com.google.protobuf.ByteString getStringValueBytes()

`string string_value = 1;`

#### getBoolValue

    boolean getBoolValue()

`bool bool_value = 2;`

#### getIntValue

    int getIntValue()

`sint32 int_value = 3;`

#### getStringArrayValuesList

    java.util.List<java.lang.String> getStringArrayValuesList()

`repeated string string_array_values = 4;`

#### getStringArrayValuesCount

    int getStringArrayValuesCount()

`repeated string string_array_values = 4;`

#### getStringArrayValues

    java.lang.String getStringArrayValues​(int index)

`repeated string string_array_values = 4;`

#### getStringArrayValuesBytes

    com.google.protobuf.ByteString getStringArrayValuesBytes​(int index)

`repeated string string_array_values = 4;`

#### getIntArrayValuesList

    java.util.List<java.lang.Integer> getIntArrayValuesList()

`repeated sint32 int_array_values = 5;`

#### getIntArrayValuesCount

    int getIntArrayValuesCount()

`repeated sint32 int_array_values = 5;`

#### getIntArrayValues

    int getIntArrayValues​(int index)

`repeated sint32 int_array_values = 5;`

#### getTypeValue

    int getTypeValue()

`.MetaDataOperationArgument.ArgumentType type = 6;`

#### getType

    Common.MetaDataOperationArgument.ArgumentType getType()

`.MetaDataOperationArgument.ArgumentType type = 6;`